Bug 129516 - Prism 2.5 PCI: orinoco driver broken; HostAP driver works
Prism 2.5 PCI: orinoco driver broken; HostAP driver works
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Depends On:
  Show dependency treegraph
Reported: 2004-08-09 18:18 EDT by H. Peter Anvin
Modified: 2015-01-04 17:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-16 01:25:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description H. Peter Anvin 2004-08-09 18:18:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.2)

Description of problem:
I have a laptop (Fujitsu P-2046) with a Prism 2.5 MiniPCI wireless
card (DID=1260:3873 rev 01).  Fedora Core 2 selects the orinoco driver
for this card, however, it works extremely unreliably; saying it works
at all is probably a stretch.

I have been using the "HostAP" driver for this card, and it works
quite well.  It would be nice if this was included in Fedora.

FWIW, HostAP reports the following release numbers: NIC id=0x8013
v1.0.0; PRI id=0x15 v1.0.7; STA id=0x1f v1.3.6.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Try using orinoco driver
2. Watch orinoco driver lock up
3. Try using HostAP driver
4. Watch HostAP driver *not* lock up

Additional info:
Comment 1 H. Peter Anvin 2004-08-09 18:20:18 EDT
Note: the ATrpms repository, http://www.atrpms.net/, has an RPMized
version of this driver.
Comment 2 Tim Keitt 2004-08-19 18:06:22 EDT
Until yum.conf includes a per-repository "no update" directive, I'm
not going to add atrpms. It tries to replace major components of FC
and, at last try, had major unresoved dependency issues. No thank you.
Please consider supporting these cards in the main distribution!!!
Comment 3 Alistair Riddoch 2004-09-27 17:47:06 EDT
I can report similarly poor performance with an orinoco PIC card using
the orinoco_pci driver. DID 10ec:8139.

The device stops responding to network traffic, and emits an
"AP Out of Range" in the syslog. Removing the orinoco_pci kernel
module and re-upping the interface clears the problem.
Comment 4 Dave Jones 2005-04-16 01:25:33 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.
Comment 5 Alistair Riddoch 2005-04-16 07:52:01 EDT
The performance of this driver has improved in the FC3 kernels.


Note You need to log in before you can comment on or make changes to this bug.